| Home | Libraries | People | FAQ | More

##### http::make_chunk_last (2 of 2 overloads)

Returns a `http::chunk_last`.

###### Synopsis

Defined in header `<boost/beast/http/chunk_encode.hpp>`

    template<
        class Trailer,
        class... Args>
    chunk_last< Trailer >
    make_chunk_last(
        Trailer const& trailer,
        Args&&... args);

###### Description

This function construct and returns a complete `http::chunk_last` for a last chunk containing the specified trailers.

###### Parameters

Name | Description
--- | ---
`trailer` | A ConstBufferSequence or

###### Remarks

This function is provided as a notational convenience to omit specification of the class template arguments.

###### Parameters

Name | Description
--- | ---
`args` | Optional arguments passed to the `http::chunk_last` constructor.

Convenience header `<boost/beast/http.hpp>`